---
title: "Get Applications List"
slug: "get-applications-list"
updated: 2026-02-18T12:52:40Z
published: 2026-02-18T12:52:58Z
canonical: "support.perimeter81.com/get-applications-list"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.perimeter81.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Applications List

Get/v2.3/applications

This GET API will retrieve a list of all applications. Required permissions [application:read]

SecurityHTTPType bearer

Query parametersnamestring

Application name to filter

hoststring

Application host to filter

typestring

Application type to filter

Valid values[
  "http",
  "https",
  "rdp",
  "ssh",
  "vnc"
]Examplehttp
pageinteger

Specifies the current page of the paginated result set

limitinteger

Defines the number of results per page

sortstring

Sorts the results based on a specified field and order. Available fields for sorting are name, host and type.

Examplesort[name]=asc

Responses200

Applications list retrieved successfully

<select class='api-response-data' aria-label='Media type'><option value='d93279e2-8b25-41e3-98be-fe70558ebe2b'>application/json</option>
</select>Expand Allobject  data Array of object (ApplicationsListObject)   

List of retrieved applications

object  idstring    

Unique application ID

namestring    

Application name

typestring    

Application type

Valid values[
  "http",
  "https",
  "rdp",
  "ssh",
  "vnc"
]
enabledboolean    

Application enabling status

policyobject  

Application related Policy data

idstring    

Policy Id

namestring    

Policy name

createdAtstring    

Application create date

networkobject  

Application related Network data

idstring    

Network Id

namestring    

Network name

hoststring    

Application host

port

Application port

OneOfintegerintegerMinimum1Maximum65353
stringstringMin length1

pageinteger    

Current page number

totalPageinteger    

Number of all pages

itemsTotalinteger    

Number of all items

400

Bad Request

401

Not Authorized

403

Forbidden

500

Internal Server Error
